Download it now!
Bug 127069 - File>Save: file group is replaced by owner (chown)
Summary: File>Save: file group is replaced by owner (chown)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.6.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: rename-before-copy-regressions
  Show dependency treegraph
 
Reported: 2019-08-21 07:23 UTC by Raphaël SEBAN
Modified: 2019-10-01 06:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphaël SEBAN 2019-08-21 07:23:48 UTC
Description:
1. chown me:my_group file.odt
2. open file.odt in LibreOffice
3. modify and save file
4. close LibreOffice
5. verify owners: me:me file.odt instead of me:my_group file.odt
6. must change manually to my_group to revert this behaviour

Steps to Reproduce:
1. chown me:my_group file.odt
2. open file.odt in LibreOffice
3. modify and save file
4. close LibreOffice
5. verify owners: me:me file.odt instead of me:my_group file.odt
6. must change manually to my_group to revert this behaviour

Actual Results:
file.odt is owned by me:me instead of me:my_group.

Expected Results:
file.odt owned by me:my_group as set by user.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
[Information automatically included from LibreOffice]
Locale: fr
Module: TextDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes
Version: 6.2.6.2
Build ID: 1:6.2.6-0ubuntu0.19.04.1
Threads CPU : 4; OS : Linux 5.0; UI Render : par défaut; VCL: gtk3; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 1 Aron Budea 2019-08-25 04:50:03 UTC
Confirmed, and bibisected to the following commit, as it's a regression. Adding Cc: to Miklos Vajna, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2157a3536f97ff5ae7c82611a801fef7e3708983
author		Miklos Vajna <vmiklos@collabora.co.uk>	2018-01-08 16:49:25 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-01-09 09:09:27 +0100

sfx2 store: try rename before copying
Comment 2 Commit Notification 2019-09-10 06:06:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/eedf523c123a82bf3cbc5f389783e22d75b2e2c5%5E%21

tdf#127069 sal: preserve gid of files in the unx osl_replaceFile()

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-10-01 06:19:02 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/cb14e82a823f313e3e1bedc83c60a5d575b1c89e

tdf#127069 sal: preserve gid of files in the unx osl_replaceFile()

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.